﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using AjaxControlToolkit;

[assembly: WebResource("SCS.Web.UI.WebControls.MenuBehavior.js", "text/javascript")]
[assembly: WebResource("SCS.Web.UI.WebControls.MenuBehavior.debug.js", "text/javascript")]

namespace SCS.Web.UI.WebControls
{
    [RequiredScript(typeof(CommonToolkitScripts))]
    [ClientScriptResource("SCS.MenuBehavior", "SCS.Web.UI.WebControls.MenuBehavior.js")]
    [TargetControlType(typeof(Control))]
    public class MenuExtender : ExtenderControlBase
    {
        public MenuExtender() { }

        [ExtenderControlProperty]
        [Localizable(true)]
        public string HideDelaySeconds
        {
            get { return GetPropertyValue("HideDelaySeconds", "1.2"); }
            set { SetPropertyValue("HideDelaySeconds", value); }
        }

        [ExtenderControlProperty]
        [Localizable(true)]
        public string MenuCssClass
        {
            get { return GetPropertyValue("MenuCssClass", "menu"); }
            set { SetPropertyValue("MenuCssClass", value); }
        }

        [ExtenderControlProperty]
        [Localizable(true)]
        public string ItemCssClass
        {
            get { return GetPropertyValue("ItemCssClass", "item"); }
            set { SetPropertyValue("ItemCssClass", value); }
        }

        [ExtenderControlProperty]
        [Localizable(true)]
        public string ItemHoverCssClass
        {
            get { return GetPropertyValue("ItemHoverCssClass", "item-hover"); }
            set { SetPropertyValue("ItemHoverCssClass", value); }
        }
    }
}